﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="Infragistics4.Web.v13.2, Version=13.2.20132.2077, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.GridControls" TagPrefix="igtbl" %>

<%@ Register Assembly="Infragistics4.Web.v13.2, Version=13.2.20132.2077, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.LayoutControls" TagPrefix="igtab" %>

<%@ Register Assembly="Infragistics4.Web.v13.2, Version=13.2.20132.2077, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI.EditorControls" TagPrefix="ig" %>


<%@ Register Assembly="Infragistics4.Web.v13.2, Version=13.2.20132.2077, Culture=neutral, PublicKeyToken=7dd5c3163f2cd0cb"
    Namespace="Infragistics.Web.UI" TagPrefix="ig" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
</head>
<body>
    <form id="form1" runat="server">
        <ig:WebScriptManager ID="WebScriptManager1" runat="server">
        </ig:WebScriptManager>
        <asp:Button ID="btnTest" runat="server" Width="100px" Text="Test" />
        <div>
            <igtab:WebTab ID="uwtHotelsTab" BrowserTarget="UpLevel" runat="server" Width="624px" Height="238px">
                <Tabs>
                    <igtab:ContentTabItem Text="&nbsp;Hotel List&nbsp;" Key="HotelsGrid">
                        <Template>
                            <igtbl:WebDataGrid EnableAjax="False" EnableDataViewState="True" CssClass="frameGridStyle" EditCellCssClass="editCellGridStyle" HeaderCssClass="headerGridStyle" ItemCssClass="rowItemGridStyleSmaller" AutoGenerateColumns="false" ShowHeader="true" ID="uwgHotelsList" runat="server" Width="624px" Height="165px">
                                <Columns>
                                    <igtbl:BoundDataField Key="HotelId" DataFieldName="HotelId" Hidden="true">
                                    </igtbl:BoundDataField>
                                    <igtbl:BoundDataField Key="Name" DataFieldName="Name" Width="600px">
                                        <Header Text="Hotel Name">
                                        </Header>
                                    </igtbl:BoundDataField>
                                </Columns>
                                <Behaviors>
                                    <igtbl:Activation Enabled="true"></igtbl:Activation>
                                    <igtbl:RowSelectors Enabled="false"></igtbl:RowSelectors>
                                    <igtbl:Selection Enabled="true" CellClickAction="Row" CellSelectType="Single" RowSelectType="Single">
                                        <AutoPostBackFlags RowSelectionChanged="True" />
                                    </igtbl:Selection>
                                    <igtbl:ColumnFixing Enabled="true"></igtbl:ColumnFixing>
                                    <igtbl:EditingCore>
                                        <Behaviors>
                                            <igtbl:RowAdding Enabled="true"></igtbl:RowAdding>
                                        </Behaviors>
                                    </igtbl:EditingCore>
                                </Behaviors>
                            </igtbl:WebDataGrid>
                            <div style="padding-top: 2px; padding-bottom: 2px; padding-right: 1px; float: right">
                                <asp:Button ID="btnHotelsAdd" runat="server" Width="100px" Text="Add" />
                            </div>
                        </Template>
                    </igtab:ContentTabItem>
                    <igtab:ContentTabItem Key="HotelsEdit" Text="&nbsp;Hotel Edition&nbsp;" Enabled="false">
                        <Template>
                            <div style="padding-left: 5px; overflow: auto; width: 623px; margin-left: auto; margin-right: auto; padding-top: 4px; height: 209px;">
                                <div class="line" style="height: 24px;">
                                    <span class="spanLabelLeft">Hotel Name</span>
                                    <asp:TextBox ID="txtHotelsName" runat="server"></asp:TextBox>
                                    <asp:CheckBox ID="chkHotelsHasRepricing2" CssClass="chkListItemAlign" Width="175px" TextAlign="Right" runat="server" Text="Has Repricing?" />
                                </div>
                                <div class="line" style="height: 24px;">
                                    <span class="spanLabelLeft">Account for Charges</span>
                                    <asp:TextBox ID="txtHotelsAccountForCharges" runat="server"></asp:TextBox>
                                    <span class="spanLabelLeft" style="width: 150px;">Number Tickets to Reprice</span>
                                    <ig:WebNumericEditor ID="wneHotelsTicketsToReprice" DataMode="Int" MaxLength="4" NullText="0" MaxValue="9999" MinValue="0" runat="server" />
                                </div>
                                <div class="line" style="height: 24px;">
                                    <span class="spanLabelLeft">Tag Number Length</span>
                                    <ig:WebNumericEditor ID="wneHotelsTagNumberLength" DataMode="Int" MaxLength="3" NullText="0" MaxValue="999" MinValue="0" runat="server" />
                                </div>
                                <div class="line" style="height: 24px;">
                                    <asp:CheckBox ID="chkHotelsTagIssuedByHotel" CssClass="chkListItemAlign" Width="270px" TextAlign="Right" runat="server" Text="A hotel tag is issued by the Hotel" />
                                    <asp:CheckBox ID="chkHotelsGuestNameRequired" CssClass="chkListItemAlign" Width="270px" TextAlign="Right" runat="server" Text="Guest Name Required" />
                                </div>
                                <div class="line" style="height: 24px;">
                                    <asp:CheckBox ID="chkHotelsUniqueTagNumber" CssClass="chkListItemAlign" Width="270px" TextAlign="Right" runat="server" Text="Generate unique tag number" />
                                    <asp:CheckBox ID="chkHotelsRoomNumberRequired" CssClass="chkListItemAlign" Width="270px" TextAlign="Right" runat="server" Text="Room Number Required" />
                                </div>
                                <div class="line" style="height: 24px;">
                                    <asp:CheckBox ID="chkHotelsPrintVoucher" CssClass="chkListItemAlign" Width="270px" TextAlign="Right" runat="server" Text="Print Vouchers" />
                                    <asp:CheckBox ID="chkHotelsNoChargeWhenNoBalance" CssClass="chkListItemAlign" Width="270px" TextAlign="Right" runat="server" Text="No Charge when no Balance accepted" />
                                </div>
                                <div class="line" style="height: 24px;">
                                    <asp:CheckBox ID="chkHotelsCashierInitialsRequired" CssClass="chkListItemAlign" Width="270px" TextAlign="Right" runat="server" Text="Cashier Initials Required" />
                                    <asp:CheckBox ID="chkHotelsVoidsAccepted" CssClass="chkListItemAlign" Width="270px" TextAlign="Right" runat="server" Text="Voids Accepted" />
                                </div>
                                <div class="line" style="height: 24px;">
                                    <asp:CheckBox ID="chkHotelsChargeDuringTrackingReport" CssClass="chkListItemAlign" Width="270px" TextAlign="Right" runat="server" Text="Open Tickets Charge" />
                                    <asp:CheckBox ID="chkHotelsPrintChargesReportAtEod" CssClass="chkListItemAlign" Width="270px" TextAlign="Right" runat="server" Text="Print Charges Report at EOD" />
                                </div>
                                <div class="line" style="height: 24px;">
                                    <asp:CheckBox ID="chkHotelsIncludeInStandardOpenTickets" CssClass="chkListItemAlign" Width="270px" TextAlign="Right" runat="server" Text="Include in Standard Open Tickets" />
                                    <span class="spanLabelLeft">Function Key</span>
                                    <asp:TextBox ID="txtHotelsFunctionKey" Width="90px" runat="server" Text="Function Key" />
                                </div>
                                <fieldset>
                                    <legend>Multiple Exits</legend>
                                    <div class="line" style="height: 24px;">
                                        <span class="spanLabel" style="width: 90px;">Maximum</span>
                                        <ig:WebNumericEditor ID="wneHotelsMultipleExitMaximum" DataMode="Int" MaxLength="4" NullText="0" MaxValue="9999" MinValue="0" runat="server" />
                                        <span class="spanLabel">Free</span>
                                        <ig:WebNumericEditor ID="wneHotelsMultipleExitsFree" DataMode="Int" MaxLength="4" NullText="0" MaxValue="9999" MinValue="0" runat="server" />
                                        <span class="spanLabel">Fee</span>
                                        <ig:WebNumericEditor ID="wneHotelsMultipleExitsFee" DataMode="Int" MaxLength="4" NullText="0" MaxValue="9999" MinValue="0" runat="server" />
                                    </div>
                                </fieldset>
                                <fieldset style="width: 645px; margin-left: auto; margin-right: auto; background: #F2FCFF;">
                                    <legend style="font-size: x-small;">&nbsp;Checkout Time&nbsp;</legend>
                                    <div style="height: 30px; padding-left: 49px;">
                                        <div class="line" style="width: 550px; margin-left: auto; margin-right: auto;">
                                            <asp:CheckBox ID="chkHotelsCheckoutTimeRequired" CssClass="chkListItemAlign" Width="214px" runat="server" TextAlign="Right" Text="Time Required" ToolTip="CC_HotelLocationPolicies_Transients_CheckoutTime_Required" />
                                            <span class="spanLabel" style="width: 108px;">Time Format</span>
                                            <asp:DropDownList ID="cmbHotelsTimeFormat" runat="server" ToolTip="CC_HotelLocationPolicies_Transients_CheckoutTime_Format" />
                                        </div>
                                    </div>
                                </fieldset>
                                <div style="float: right; padding-top: 4px; padding-bottom: 5px;">
                                    <asp:Button ID="btnHotelsEditOk" runat="server" Width="100px"
                                        Text="OK" />
                                    <span class="spanSeparator"></span>
                                    <asp:Button ID="btnHotelsEditCancel" runat="server"
                                        Width="100px" Text="Cancel" />
                                    <span class="spanSeparator"></span>
                                    <asp:Button ID="btnHotelsDelete" OnClientClick="if(!confirm('Are you sure to delete the hotel?')) return false;"
                                        runat="server" Width="100px" Text="Delete" />
                                </div>
                            </div>
                        </Template>
                    </igtab:ContentTabItem>
                </Tabs>
            </igtab:WebTab>
        </div>
    </form>
</body>
</html>
